package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.Tool;

import java.util.List;

/**
 * @Description : 硬件服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 20:20
 * @Modify :
 **/
public interface IToolService {

    /**
     * 添加硬件
     * @param tool
     */
    void insertTool(Tool tool);

    /**
     * 删除硬件
     * @param id
     */
    void deleteToolById(String id);

    /**
     * 修改硬件
     * @param tool
     */
    void updateTool(Tool tool);

    /**
     * 查找全部硬件
     * @return
     */
    List<Tool> listTool();

    /**
     * 根据id查找硬件
     * @param id
     * @return
     */
    Tool getToolById(String id);
}
